Bug 3393 - Notifications need to be sent by an AggregatingServiceGroupResource when registrants successfully update the terminationTime of a member AggregatingServiceGroupEntryResource
: Notifications need to be sent by an AggregatingServiceGroupResource when regi...
Status: RESOLVED FIXED
: MDS4
wsrf_aggregator
: 4.0.0
: All All
: P3 normal
: 4.0.1
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2005-05-20 14:47 by
Modified: 2005-07-20 16:40 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-05-20 14:47:20
Currently, if a service subscribes to the 'Entry' RP of an 
AggregatingServiceGroup, a notification to that subscription will only be 
triggered when a registrant is added or removed from the service group.  A 
notification also needs to be triggered when existing registrants successfully 
update their lifetimes.  This fix will be targeted for the 4.0.1 release.
------- Comment #1 From 2005-06-02 00:03:55 -------
I've added code in CVS HEAD to address this.  Now, by default, a notification 
will be sent whenever a registrant has it's termination time changed.  This is 
basically a bug fix. Also, I've added a configuration option to the 
AggregatorConfiguration JNDI bean to disable this feature, if desired.

In addition, I've added another option to the AggregatorConfiguration JNDI 
bean that will cause a notification to be sent out whenever a registrant has 
it's content member changed.  As this can happen frequently in many scenarios 
(and is also a new feature), it is disabled by default. 

Below are examples of the configuration fragments for the 
AggregatorConfiguration JNDI bean:

<parameter>
  <name>notifyOnEntryLifetimeExtension</name>
  <value>true</value> <!-- default if ommitted = true -->
</parameter>  

<parameter>
  <name>notifyOnEntryContentChange</name>
  <value>false</value> <!-- default if ommitted = false-->
</parameter> 

------- Comment #2 From 2005-07-20 16:40:40 -------
Fixed for 4.0.1